MacellanMacellan SuperApp
KullanıcıYetkili Kullanıcı

Güncelle

  • Önceden oluşturulan kullanıcıları güncellemek için kullanılır.
  • Kasiyer rolünde branch_codes alanı sadece bir şube kodu alabilir.
  • Şube yetkilisi rolünde branch_codes alanı birden fazla şube kodu alabilir.
PUT
/integration/user/update

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone?string
password?string
branch_codes?array<string>
id*integer
role?string
last_name?string
email?string
first_name?string
{
  "phone": "+905231113344",
  "password": "test123",
  "branch_codes": [
    "Test-123",
    "Test-124"
  ],
  "id": 1,
  "role": "Branch Admin",
  "last_name": "Test",
  "email": "[email protected]",
  "first_name": "Test"
}

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.altpay.dev/integration/user/update" \  -H "Content-Type: application/json" \  -d '{    "id": 1  }'
{
  "data": {
    "success": true
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "İşlemi yapmak için yetkili değilsiniz."
}
{
  "message": "Gönderdiğiniz Veriler Geçersiz",
  "errors": {
    "property": [
      "Hata açıklaması"
    ]
  }
}